{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "1f5f9b1ad3d068923dc6b6bfbfe2341fa1d40070";
      sha256 = "0wzb46zfimggaw3ygag5vrwkwbxkmqvckqgq4diwc61cxpkbbyv0";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude ];

  source = true;
}
